From 1d455f8de8e8a211cc91e19484eeda2e454531a1 Mon Sep 17 00:00:00 2001
From: Jani Nikula <jani.nikula@intel.com>
Date: Tue, 6 Aug 2019 14:39:33 +0300
Subject: drm/i915: rename intel_drv.h to display/intel_display_types.h
Git-commit: 1d455f8de8e8a211cc91e19484eeda2e454531a1
Patch-mainline: v5.4-rc1
References: bsc#1152489

Everything about the file is about display, and mostly about types
related to display. Move under display/ as intel_display_types.h to
reflect the facts.

There's still plenty to clean up, but start off with moving the file
where it logically belongs and naming according to contents.

v2: fix the include guard name in the renamed file

Reviewed-by: Chris Wilson <chris@chris-wilson.co.uk>
Signed-off-by: Jani Nikula <jani.nikula@intel.com>
Link: https://patchwork.freedesktop.org/patch/msgid/20190806113933.11799-1-jani.nikula@intel.com
Acked-by: Thomas Zimmermann <tzimmermann@suse.de>
Signed-off-by: Patrik Jakobsson <pjakobsson@suse.de>
---
 drivers/gpu/drm/i915/display/dvo_ch7017.c     |    2 +-
 drivers/gpu/drm/i915/display/dvo_ch7xxx.c     |    2 +-
 drivers/gpu/drm/i915/display/dvo_ivch.c       |    2 +-
 drivers/gpu/drm/i915/display/dvo_ns2501.c     |    2 +-
 drivers/gpu/drm/i915/display/dvo_sil164.c     |    2 +-
 drivers/gpu/drm/i915/display/dvo_tfp410.c     |    2 +-
 drivers/gpu/drm/i915/display/intel_atomic.c   |    2 +-
 .../gpu/drm/i915/display/intel_atomic_plane.c |    2 +-
 drivers/gpu/drm/i915/display/intel_audio.c    |    2 +-
 drivers/gpu/drm/i915/display/intel_bw.c       |    2 +-
 drivers/gpu/drm/i915/display/intel_cdclk.c    |    2 +-
 drivers/gpu/drm/i915/display/intel_color.c    |    2 +-
 .../gpu/drm/i915/display/intel_combo_phy.c    |    2 +-
 .../gpu/drm/i915/display/intel_connector.c    |    2 +-
 drivers/gpu/drm/i915/display/intel_crt.c      |    2 +-
 drivers/gpu/drm/i915/display/intel_ddi.c      |    2 +-
 drivers/gpu/drm/i915/display/intel_display.c  |    4 +-
 .../drm/i915/display/intel_display_power.c    |    2 +-
 .../drm/i915/display/intel_display_types.h    | 1510 +++++++++++++++++
 drivers/gpu/drm/i915/display/intel_dp.c       |    2 +-
 .../drm/i915/display/intel_dp_aux_backlight.c |    2 +-
 .../drm/i915/display/intel_dp_link_training.c |    2 +-
 drivers/gpu/drm/i915/display/intel_dp_mst.c   |    2 +-
 drivers/gpu/drm/i915/display/intel_dpio_phy.c |    2 +-
 drivers/gpu/drm/i915/display/intel_dpll_mgr.c |    2 +-
 drivers/gpu/drm/i915/display/intel_dsi.h      |    3 +-
 .../i915/display/intel_dsi_dcs_backlight.c    |    2 +-
 drivers/gpu/drm/i915/display/intel_dsi_vbt.c  |    2 +-
 drivers/gpu/drm/i915/display/intel_dvo.c      |    2 +-
 drivers/gpu/drm/i915/display/intel_fbc.c      |    2 +-
 drivers/gpu/drm/i915/display/intel_fbdev.c    |    2 +-
 .../drm/i915/display/intel_fifo_underrun.c    |    2 +-
 .../gpu/drm/i915/display/intel_frontbuffer.c  |    2 +-
 drivers/gpu/drm/i915/display/intel_gmbus.c    |    2 +-
 drivers/gpu/drm/i915/display/intel_hdcp.c     |    2 +-
 drivers/gpu/drm/i915/display/intel_hdmi.c     |    4 +-
 drivers/gpu/drm/i915/display/intel_hotplug.c  |    2 +-
 drivers/gpu/drm/i915/display/intel_lspcon.c   |    2 +-
 drivers/gpu/drm/i915/display/intel_lvds.c     |    2 +-
 drivers/gpu/drm/i915/display/intel_opregion.c |    2 +-
 drivers/gpu/drm/i915/display/intel_overlay.c  |    2 +-
 drivers/gpu/drm/i915/display/intel_panel.c    |    2 +-
 drivers/gpu/drm/i915/display/intel_pipe_crc.c |    2 +-
 drivers/gpu/drm/i915/display/intel_psr.c      |    2 +-
 drivers/gpu/drm/i915/display/intel_quirks.c   |    2 +-
 drivers/gpu/drm/i915/display/intel_sdvo.c     |    2 +-
 drivers/gpu/drm/i915/display/intel_sprite.c   |    2 +-
 drivers/gpu/drm/i915/display/intel_tc.c       |    2 +-
 drivers/gpu/drm/i915/display/intel_tv.c       |    2 +-
 drivers/gpu/drm/i915/display/intel_vdsc.c     |    2 +-
 drivers/gpu/drm/i915/display/vlv_dsi.c        |    2 +-
 drivers/gpu/drm/i915/display/vlv_dsi_pll.c    |    2 +-
 .../gpu/drm/i915/gem/i915_gem_client_blt.c    |    5 +-
 .../gpu/drm/i915/gem/i915_gem_execbuffer.c    |    2 +-
 drivers/gpu/drm/i915/gem/i915_gem_mman.c      |    2 +-
 .../gpu/drm/i915/gem/i915_gem_object_blt.c    |    4 +-
 drivers/gpu/drm/i915/gem/i915_gem_userptr.c   |    3 +-
 drivers/gpu/drm/i915/gt/intel_reset.c         |    1 +
 drivers/gpu/drm/i915/i915_debugfs.c           |    2 +-
 drivers/gpu/drm/i915/i915_drv.c               |    2 +-
 drivers/gpu/drm/i915/i915_gem.c               |    2 +-
 drivers/gpu/drm/i915/i915_gem_evict.c         |    2 +-
 drivers/gpu/drm/i915/i915_gem_fence_reg.c     |    2 +
 drivers/gpu/drm/i915/i915_gem_gtt.c           |    2 +-
 drivers/gpu/drm/i915/i915_irq.c               |    2 +-
 drivers/gpu/drm/i915/i915_suspend.c           |    2 +-
 drivers/gpu/drm/i915/i915_sysfs.c             |    3 +-
 drivers/gpu/drm/i915/i915_trace.h             |    2 +-
 drivers/gpu/drm/i915/i915_vgpu.c              |    2 +-
 drivers/gpu/drm/i915/intel_drv.h              | 1509 ----------------
 drivers/gpu/drm/i915/intel_pm.c               |    2 +-
 drivers/gpu/drm/i915/intel_sideband.c         |    4 +-
 drivers/gpu/drm/i915/intel_uncore.c           |    3 +-
 73 files changed, 1592 insertions(+), 1583 deletions(-)
 create mode 100644 drivers/gpu/drm/i915/display/intel_display_types.h
 delete mode 100644 drivers/gpu/drm/i915/intel_drv.h

diff --git a/drivers/gpu/drm/i915/display/dvo_ch7017.c b/drivers/gpu/drm/i915/display/dvo_ch7017.c
index 602380fe74f3..0589994dde11 100644
--- a/drivers/gpu/drm/i915/display/dvo_ch7017.c
+++ b/drivers/gpu/drm/i915/display/dvo_ch7017.c
@@ -25,7 +25,7 @@
  *
  */
 
-#include "intel_drv.h"
+#include "intel_display_types.h"
 #include "intel_dvo_dev.h"
 
 #define CH7017_TV_DISPLAY_MODE		0x00
diff --git a/drivers/gpu/drm/i915/display/dvo_ch7xxx.c b/drivers/gpu/drm/i915/display/dvo_ch7xxx.c
index e070bebee7b5..54f58ba44b9f 100644
--- a/drivers/gpu/drm/i915/display/dvo_ch7xxx.c
+++ b/drivers/gpu/drm/i915/display/dvo_ch7xxx.c
@@ -26,7 +26,7 @@ SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 
 **************************************************************************/
 
-#include "intel_drv.h"
+#include "intel_display_types.h"
 #include "intel_dvo_dev.h"
 
 #define CH7xxx_REG_VID		0x4a
diff --git a/drivers/gpu/drm/i915/display/dvo_ivch.c b/drivers/gpu/drm/i915/display/dvo_ivch.c
index 09dba35f3ffa..f43d8c610d3f 100644
--- a/drivers/gpu/drm/i915/display/dvo_ivch.c
+++ b/drivers/gpu/drm/i915/display/dvo_ivch.c
@@ -29,7 +29,7 @@
  *
  */
 
-#include "intel_drv.h"
+#include "intel_display_types.h"
 #include "intel_dvo_dev.h"
 
 /*
diff --git a/drivers/gpu/drm/i915/display/dvo_ns2501.c b/drivers/gpu/drm/i915/display/dvo_ns2501.c
index c83a5d88d62b..a724a8755673 100644
--- a/drivers/gpu/drm/i915/display/dvo_ns2501.c
+++ b/drivers/gpu/drm/i915/display/dvo_ns2501.c
@@ -28,7 +28,7 @@
 
 #include "i915_drv.h"
 #include "i915_reg.h"
-#include "intel_drv.h"
+#include "intel_display_types.h"
 #include "intel_dvo_dev.h"
 
 #define NS2501_VID 0x1305
diff --git a/drivers/gpu/drm/i915/display/dvo_sil164.c b/drivers/gpu/drm/i915/display/dvo_sil164.c
index 04698eaeb632..0dfa0a0209ff 100644
--- a/drivers/gpu/drm/i915/display/dvo_sil164.c
+++ b/drivers/gpu/drm/i915/display/dvo_sil164.c
@@ -26,7 +26,7 @@ SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 
 **************************************************************************/
 
-#include "intel_drv.h"
+#include "intel_display_types.h"
 #include "intel_dvo_dev.h"
 
 #define SIL164_VID 0x0001
diff --git a/drivers/gpu/drm/i915/display/dvo_tfp410.c b/drivers/gpu/drm/i915/display/dvo_tfp410.c
index 623114ee73cd..009d65b0f3e9 100644
--- a/drivers/gpu/drm/i915/display/dvo_tfp410.c
+++ b/drivers/gpu/drm/i915/display/dvo_tfp410.c
@@ -25,7 +25,7 @@
  *
  */
 
-#include "intel_drv.h"
+#include "intel_display_types.h"
 #include "intel_dvo_dev.h"
 
 /* register definitions according to the TFP410 data sheet */
diff --git a/drivers/gpu/drm/i915/display/intel_atomic.c b/drivers/gpu/drm/i915/display/intel_atomic.c
index 90ca11a4ae88..d3fb75bb9eb1 100644
--- a/drivers/gpu/drm/i915/display/intel_atomic.c
+++ b/drivers/gpu/drm/i915/display/intel_atomic.c
@@ -35,7 +35,7 @@
 #include <drm/drm_plane_helper.h>
 
 #include "intel_atomic.h"
-#include "intel_drv.h"
+#include "intel_display_types.h"
 #include "intel_hdcp.h"
 #include "intel_sprite.h"
 
diff --git a/drivers/gpu/drm/i915/display/intel_atomic_plane.c b/drivers/gpu/drm/i915/display/intel_atomic_plane.c
index c14c8dade9a4..d1fcdf206da4 100644
--- a/drivers/gpu/drm/i915/display/intel_atomic_plane.c
+++ b/drivers/gpu/drm/i915/display/intel_atomic_plane.c
@@ -37,7 +37,7 @@
 
 #include "i915_trace.h"
 #include "intel_atomic_plane.h"
-#include "intel_drv.h"
+#include "intel_display_types.h"
 #include "intel_pm.h"
 #include "intel_sprite.h"
 
diff --git a/drivers/gpu/drm/i915/display/intel_audio.c b/drivers/gpu/drm/i915/display/intel_audio.c
index c8fd35a7ca42..ddcccf4408c3 100644
--- a/drivers/gpu/drm/i915/display/intel_audio.c
+++ b/drivers/gpu/drm/i915/display/intel_audio.c
@@ -29,7 +29,7 @@
 
 #include "i915_drv.h"
 #include "intel_audio.h"
-#include "intel_drv.h"
+#include "intel_display_types.h"
 #include "intel_lpe_audio.h"
 
 /**
diff --git a/drivers/gpu/drm/i915/display/intel_bw.c b/drivers/gpu/drm/i915/display/intel_bw.c
index e59f8be7c998..688858ebe4d0 100644
--- a/drivers/gpu/drm/i915/display/intel_bw.c
+++ b/drivers/gpu/drm/i915/display/intel_bw.c
@@ -6,7 +6,7 @@
 #include <drm/drm_atomic_state_helper.h>
 
 #include "intel_bw.h"
-#include "intel_drv.h"
+#include "intel_display_types.h"
 #include "intel_sideband.h"
 
 /* Parameters for Qclk Geyserville (QGV) */
diff --git a/drivers/gpu/drm/i915/display/intel_cdclk.c b/drivers/gpu/drm/i915/display/intel_cdclk.c
index 93b0d190c184..59c0ceb21aac 100644
--- a/drivers/gpu/drm/i915/display/intel_cdclk.c
+++ b/drivers/gpu/drm/i915/display/intel_cdclk.c
@@ -22,7 +22,7 @@
  */
 
 #include "intel_cdclk.h"
-#include "intel_drv.h"
+#include "intel_display_types.h"
 #include "intel_sideband.h"
 
 /**
diff --git a/drivers/gpu/drm/i915/display/intel_color.c b/drivers/gpu/drm/i915/display/intel_color.c
index 23a84dd7989f..71a0201437a9 100644
--- a/drivers/gpu/drm/i915/display/intel_color.c
+++ b/drivers/gpu/drm/i915/display/intel_color.c
@@ -23,7 +23,7 @@
  */
 
 #include "intel_color.h"
-#include "intel_drv.h"
+#include "intel_display_types.h"
 
 #define CTM_COEFF_SIGN	(1ULL << 63)
 
diff --git a/drivers/gpu/drm/i915/display/intel_combo_phy.c b/drivers/gpu/drm/i915/display/intel_combo_phy.c
index ac8218a040ab..44bbc7e74fc3 100644
--- a/drivers/gpu/drm/i915/display/intel_combo_phy.c
+++ b/drivers/gpu/drm/i915/display/intel_combo_phy.c
@@ -4,7 +4,7 @@
  */
 
 #include "intel_combo_phy.h"
-#include "intel_drv.h"
+#include "intel_display_types.h"
 
 #define for_each_combo_phy(__dev_priv, __phy) \
 	for ((__phy) = PHY_A; (__phy) < I915_MAX_PHYS; (__phy)++)	\
diff --git a/drivers/gpu/drm/i915/display/intel_connector.c b/drivers/gpu/drm/i915/display/intel_connector.c
index cf8823ce9606..308ec63207ee 100644
--- a/drivers/gpu/drm/i915/display/intel_connector.c
+++ b/drivers/gpu/drm/i915/display/intel_connector.c
@@ -33,7 +33,7 @@
 
 #include "i915_drv.h"
 #include "intel_connector.h"
-#include "intel_drv.h"
+#include "intel_display_types.h"
 #include "intel_hdcp.h"
 
 int intel_connector_init(struct intel_connector *connector)
diff --git a/drivers/gpu/drm/i915/display/intel_crt.c b/drivers/gpu/drm/i915/display/intel_crt.c
index 3fcf2f84bcce..067eb14dbf80 100644
--- a/drivers/gpu/drm/i915/display/intel_crt.c
+++ b/drivers/gpu/drm/i915/display/intel_crt.c
@@ -38,7 +38,7 @@
 #include "intel_connector.h"
 #include "intel_crt.h"
 #include "intel_ddi.h"
-#include "intel_drv.h"
+#include "intel_display_types.h"
 #include "intel_fifo_underrun.h"
 #include "intel_gmbus.h"
 #include "intel_hotplug.h"
diff --git a/drivers/gpu/drm/i915/display/intel_ddi.c b/drivers/gpu/drm/i915/display/intel_ddi.c
index 3fdd6fba65a1..7c73d1f974fc 100644
--- a/drivers/gpu/drm/i915/display/intel_ddi.c
+++ b/drivers/gpu/drm/i915/display/intel_ddi.c
@@ -32,10 +32,10 @@
 #include "intel_combo_phy.h"
 #include "intel_connector.h"
 #include "intel_ddi.h"
+#include "intel_display_types.h"
 #include "intel_dp.h"
 #include "intel_dp_link_training.h"
 #include "intel_dpio_phy.h"
-#include "intel_drv.h"
 #include "intel_dsi.h"
 #include "intel_fifo_underrun.h"
 #include "intel_gmbus.h"
diff --git a/drivers/gpu/drm/i915/display/intel_display.c b/drivers/gpu/drm/i915/display/intel_display.c
index 29a9ecf66efc..d150041aa818 100644
--- a/drivers/gpu/drm/i915/display/intel_display.c
+++ b/drivers/gpu/drm/i915/display/intel_display.c
@@ -62,9 +62,9 @@
 #include "intel_atomic.h"
 #include "intel_atomic_plane.h"
 #include "intel_bw.h"
-#include "intel_color.h"
 #include "intel_cdclk.h"
-#include "intel_drv.h"
+#include "intel_color.h"
+#include "intel_display_types.h"
 #include "intel_fbc.h"
 #include "intel_fbdev.h"
 #include "intel_fifo_underrun.h"
diff --git a/drivers/gpu/drm/i915/display/intel_display_power.c b/drivers/gpu/drm/i915/display/intel_display_power.c
index dd2a50b8ba0a..e201dc6f977a 100644
--- a/drivers/gpu/drm/i915/display/intel_display_power.c
+++ b/drivers/gpu/drm/i915/display/intel_display_power.c
@@ -13,8 +13,8 @@
 #include "intel_cdclk.h"
 #include "intel_combo_phy.h"
 #include "intel_csr.h"
+#include "intel_display_types.h"
 #include "intel_dpio_phy.h"
-#include "intel_drv.h"
 #include "intel_hotplug.h"
 #include "intel_sideband.h"
 #include "intel_tc.h"
